Description

I'm wondering if there is a inconsistency between the 'can_update_at_runtime' flag and the 'flags' list for the config options.

E.g. 'ceph config help bluestore_compression_required_ratio --format=json-pretty' returns:

{

    "name": "bluestore_compression_required_ratio",

    "type": "double",

    "level": "advanced",

    "desc": "Compression ratio required to store compressed data",

    "long_desc": "

If we compress data and get less than this we discard the result and store the original uncompress

ed data.",

    "default": 0.875000,

    "daemon_default": "",

    "tags": [],

    "services": [],

    "see_also": [],

    "min": "",

    "max": "",

    "can_update_at_runtime": true,

    "flags": [

        "runtime" 

    ]

}

 

Which is correct from my point of view. But 'ceph config help bluestore_compression_required_ratio --format=json-pretty' returns:

{

    "name": "bluestore_cache_trim_max_skip_pinned",

    "type": "uint64_t",

    "level": "dev",

    "desc": "Max pinned cache entries we consider before giving up",

    "long_desc": "",

    "default": 64,

    "daemon_default": "",

    "tags": [],

    "services": [],

    "see_also": [],
    "min": "",

    "max": "",

    "can_update_at_runtime": true,

    "flags": []

}

 

As you can see 'can_update_at_runtime' is 'true' but 'runtime' is missing in the 'flags' list.

History

#1 - 07/02/2018 04:50 PM - Patrick Donnelly

- Project changed from Ceph to RADOS

- Category deleted (common)

- Component(RADOS) Monitor added

#2 - 02/11/2019 11:05 AM - Tatjana Dehler

I retested it and the issue is gone from my point of view. Unfortunately I can't tell which pull request fixed it.

Could someone please resolve the issue for me (as I don't have the permissions to do it myself)? - Thanks.

#3 - 02/11/2019 02:35 PM - Nathan Cutler

- Status changed from New to Resolved

#4 - 02/11/2019 02:36 PM - Nathan Cutler

@Tatjana - I added you to the "ceph developers" group so you should be able to change Status etc. fields.

#5 - 02/11/2019 02:48 PM - Tatjana Dehler

Yes, I can edit them now. Thanks Nathan :)
